Skip to main content
PUT
/
environments
/
{environmentId}
/
integrations
/
chainalysis
/
sanctions
/
enable
Enable the Sanctions API
curl --request PUT \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/integrations/chainalysis/sanctions/enable \
  --header 'Authorization: Bearer <token>'
{
  "id": "95b11417-f18f-457f-8804-68e361f9164f",
  "sanctionsApiEnabled": true,
  "kytApiEnabled": true,
  "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Created

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

sanctionsApiEnabled
boolean
required

Whether Chainalysis sanctions screening is enabled for wallet addresses

kytApiEnabled
boolean
required

Whether Chainalysis Know Your Transaction (KYT) monitoring is enabled

projectEnvironmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

createdAt
string<date-time>
required

ISO 8601 timestamp of when the Chainalysis configuration was created

updatedAt
string<date-time>
required

ISO 8601 timestamp of when the Chainalysis configuration was last updated